commit:     12792559e345a0012949c5855463ab25acb8c9b8
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Feb 20 10:26:37 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Feb 20 10:26:37 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=12792559

dev-python/myst-parser: Remove py3.10 (per sphinx-8.2)

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/myst-parser/myst-parser-4.0.1-r1.ebuild | 63 ++++++++++++++++++++++
 1 file changed, 63 insertions(+)

diff --git a/dev-python/myst-parser/myst-parser-4.0.1-r1.ebuild 
b/dev-python/myst-parser/myst-parser-4.0.1-r1.ebuild
new file mode 100644
index 000000000000..94691334ee92
--- /dev/null
+++ b/dev-python/myst-parser/myst-parser-4.0.1-r1.ebuild
@@ -0,0 +1,63 @@
+# Copyright 2022-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{11..13} )
+
+inherit distutils-r1
+
+MY_P=MyST-Parser-${PV}
+DESCRIPTION="Extended commonmark compliant parser, with bridges to Sphinx"
+HOMEPAGE="
+       https://github.com/executablebooks/MyST-Parser/
+       https://pypi.org/project/myst-parser/
+"
+SRC_URI="
+       https://github.com/executablebooks/MyST-Parser/archive/v${PV}.tar.gz
+               -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 
~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+       >=dev-python/docutils-0.18[${PYTHON_USEDEP}]
+       dev-python/jinja2[${PYTHON_USEDEP}]
+       <dev-python/markdown-it-py-4[${PYTHON_USEDEP}]
+       >=dev-python/markdown-it-py-3.0[${PYTHON_USEDEP}]
+       <dev-python/mdit-py-plugins-0.5[${PYTHON_USEDEP}]
+       >=dev-python/mdit-py-plugins-0.4.1[${PYTHON_USEDEP}]
+       dev-python/pyyaml[${PYTHON_USEDEP}]
+       <dev-python/sphinx-9[${PYTHON_USEDEP}]
+       >=dev-python/sphinx-6[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/beautifulsoup4[${PYTHON_USEDEP}]
+               dev-python/defusedxml[${PYTHON_USEDEP}]
+               <dev-python/linkify-it-py-3[${PYTHON_USEDEP}]
+               >=dev-python/linkify-it-py-2.0.0[${PYTHON_USEDEP}]
+               dev-python/pytest-regressions[${PYTHON_USEDEP}]
+               dev-python/pytest-param-files[${PYTHON_USEDEP}]
+               >=dev-python/sphinx-7.3[${PYTHON_USEDEP}]
+               dev-python/sphinx-pytest[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+       # minor pygments mismatch
+       tests/test_sphinx/test_sphinx_builds.py::test_includes
+)
+
+src_prepare() {
+       default
+
+       # unpin docutils
+       sed -i -e '/docutils/s:,<[0-9.]*::' pyproject.toml || die
+}

Reply via email to